OpenVDB: MergeVoxelRegions< InputGridType > Struct Template Reference

OpenVDB 7.1.0

Public Types | Public Member Functions | List of all members
MergeVoxelRegions< InputGridType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | InputTreeType = typename InputGridType::TreeType
using | InputLeafNodeType = typename InputTreeType::LeafNodeType
using | InputValueType = typename InputLeafNodeType::ValueType
using | FloatTreeType = typename InputTreeType::template ValueConverter< float >::Type
using | FloatLeafNodeType = typename FloatTreeType::LeafNodeType
using | FloatGridType = Grid< FloatTreeType >
using | Int16TreeType = typename InputTreeType::template ValueConverter< Int16 >::Type
using | Int16LeafNodeType = typename Int16TreeType::LeafNodeType
using | Index32TreeType = typename InputTreeType::template ValueConverter< Index32 >::Type
using | Index32LeafNodeType = typename Index32TreeType::LeafNodeType
using | BoolTreeType = typename InputTreeType::template ValueConverter< bool >::Type
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Public Member Functions
| MergeVoxelRegions (const InputGridType &inputGrid, const Index32TreeType &pointIndexTree, const std::vector< Index32LeafNodeType * > &pointIndexLeafNodes, const std::vector< Int16LeafNodeType * > &signFlagsLeafNodes, InputValueType iso, float adaptivity, bool invertSurfaceOrientation)
void | setSpatialAdaptivity (const FloatGridType &grid)
void | setAdaptivityMask (const BoolTreeType &mask)
void | setRefSignFlagsData (const Int16TreeType &signFlagsData, float internalAdaptivity)
void | operator() (const tbb::blocked_range< size_t > &) const

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## ◆ BoolTreeType

using BoolTreeType = typename InputTreeType::template ValueConverter<bool>::Type

## ◆ FloatGridType

using FloatGridType = Grid<FloatTreeType>

## ◆ FloatLeafNodeType

using FloatLeafNodeType = typename FloatTreeType::LeafNodeType

## ◆ FloatTreeType

using FloatTreeType = typename InputTreeType::template ValueConverter<float>::Type

## ◆ Index32LeafNodeType

using Index32LeafNodeType = typename Index32TreeType::LeafNodeType

## ◆ Index32TreeType

using Index32TreeType = typename InputTreeType::template ValueConverter<Index32>::Type

## ◆ InputLeafNodeType

using InputLeafNodeType = typename InputTreeType::LeafNodeType

## ◆ InputTreeType

using InputTreeType = typename InputGridType::TreeType

## ◆ InputValueType

using InputValueType = typename InputLeafNodeType::ValueType

## ◆ Int16LeafNodeType

using Int16LeafNodeType = typename Int16TreeType::LeafNodeType

## ◆ Int16TreeType

using Int16TreeType = typename InputTreeType::template ValueConverter<Int16>::Type

## Constructor & Destructor Documentation

## ◆ MergeVoxelRegions()

MergeVoxelRegions | ( | const InputGridType & | inputGrid,
|  | const Index32TreeType & | pointIndexTree,
|  | const std::vector< Index32LeafNodeType * > & | pointIndexLeafNodes,
|  | const std::vector< Int16LeafNodeType * > & | signFlagsLeafNodes,
|  | InputValueType | iso,
|  | float | adaptivity,
|  | bool | invertSurfaceOrientation
| ) |  |

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

## ◆ setAdaptivityMask()

void setAdaptivityMask | ( | const BoolTreeType & | mask | ) |
| inline

## ◆ setRefSignFlagsData()

void setRefSignFlagsData | ( | const Int16TreeType & | signFlagsData,
|  | float | internalAdaptivity
| ) |  |
| inline

## ◆ setSpatialAdaptivity()

void setSpatialAdaptivity | ( | const FloatGridType & | grid | ) |
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h